﻿@{
    Layout = "~/Views/Shared/Layout/_Layout.cshtml";
    ViewData["PageName"] = ViewData["PageName"];
    ViewData["PageParentName"] = ViewData["PageParentName"];
    ViewData["MenuType"] = ViewData["MenuType"];

}
@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers

<div class="row clearfix scrolltab">
    <div class="col-lg-12 col-md-12 col-sm-12">
        <div class="card">
            <div class="body">

                <div id="lnb">
                    <div class="lnb-new-schedule">
                        <button id="btn-new-schedule" type="button" class="btn btn-default btn-block lnb-new-schedule-btn" data-toggle="modal">
                            New schedule
                        </button>
                    </div>
                    <div id="lnb-calendars" class="lnb-calendars">
                        <div>
                            <div class="lnb-calendars-item">
                                <label>
                                    <input class="tui-full-calendar-checkbox-square" type="checkbox" value="all" checked>
                                    <span></span>
                                    <strong>View all</strong>
                                </label>
                            </div>
                        </div>
                        <div id="calendarList" class="lnb-calendars-d1">
                        </div>
                    </div>

                </div>
                <div id="right" class="calendar_temp">
                    <div id="menu">
                        <div class="dropdown">
                            <button id="dropdownMenu-calendarType" class="btn btn-default btn-sm dropdown-toggle" type="button" data-toggle="dropdown"
                                    aria-haspopup="true" aria-expanded="true">
                                <i id="calendarTypeIcon" class="calendar-icon ic_view_month" style="margin-right: 4px;"></i>
                                <span id="calendarTypeName">Dropdown</span>&nbsp;
                                <i class="calendar-icon tui-full-calendar-dropdown-arrow"></i>
                            </button>
                            <ul class="dropdown-menu" role="menu" aria-labelledby="dropdownMenu-calendarType">
                                <li role="presentation">
                                    <a class="dropdown-menu-title" role="menuitem" data-action="toggle-daily">
                                        <i class="calendar-icon ic_view_day"></i>Daily
                                    </a>
                                </li>
                                <li role="presentation">
                                    <a class="dropdown-menu-title" role="menuitem" data-action="toggle-weekly">
                                        <i class="calendar-icon ic_view_week"></i>Weekly
                                    </a>
                                </li>
                                <li role="presentation">
                                    <a class="dropdown-menu-title" role="menuitem" data-action="toggle-monthly">
                                        <i class="calendar-icon ic_view_month"></i>Month
                                    </a>
                                </li>
                                <li role="presentation">
                                    <a class="dropdown-menu-title" role="menuitem" data-action="toggle-weeks2">
                                        <i class="calendar-icon ic_view_week"></i>2 weeks
                                    </a>
                                </li>
                                <li role="presentation">
                                    <a class="dropdown-menu-title" role="menuitem" data-action="toggle-weeks3">
                                        <i class="calendar-icon ic_view_week"></i>3 weeks
                                    </a>
                                </li>
                                <li role="presentation" class="dropdown-divider"></li>
                                <li role="presentation">
                                    <a role="menuitem" data-action="toggle-workweek">
                                        <input type="checkbox" class="tui-full-calendar-checkbox-square" value="toggle-workweek" checked>
                                        <span class="checkbox-title"></span>Show weekends
                                    </a>
                                </li>
                                <li role="presentation">
                                    <a role="menuitem" data-action="toggle-start-day-1">
                                        <input type="checkbox" class="tui-full-calendar-checkbox-square" value="toggle-start-day-1">
                                        <span class="checkbox-title"></span>Start Week on Monday
                                    </a>
                                </li>
                                <li role="presentation">
                                    <a role="menuitem" data-action="toggle-narrow-weekend">
                                        <input type="checkbox" class="tui-full-calendar-checkbox-square" value="toggle-narrow-weekend">
                                        <span class="checkbox-title"></span>Narrower than weekdays
                                    </a>
                                </li>
                            </ul>
                        </div>
                        <span id="menu-navi">
                            <button type="button" class="btn btn-default btn-sm move-today" data-action="move-today">Today</button>
                            <button type="button" class="btn btn-default btn-sm move-day" data-action="move-prev">
                                <i class="calendar-icon ic-arrow-line-left" data-action="move-prev"></i>
                            </button>
                            <button type="button" class="btn btn-default btn-sm move-day" data-action="move-next">
                                <i class="calendar-icon ic-arrow-line-right" data-action="move-next"></i>
                            </button>
                        </span>
                        <span id="renderRange" class="render-range"></span>
                    </div>
                    <div id="calendar"></div>
                </div>
            </div>
        </div>
    </div>
</div>



@section css{
    <!-- layout css -->
    <link rel="stylesheet" href="~/admin/css/ladda.min.css" />
    <link rel="stylesheet" href="~/lib/vendor/nestable/jquery-nestable.css" />
    <link rel="stylesheet" href="~/lib/vendor/sweetalert/sweetalert.css">
    <link rel="stylesheet" href="~/lib/vendor/summernote/dist/summernote.css" />
    <!-- Layout kendo -->
    <link href="~/lib/kendo/library/kendo.common2019.min.css" rel="stylesheet" />
    <link href="~/lib/kendo/library/kendo.rtl_2019.min.css" rel="stylesheet" />
    <link href="~/lib/kendo/library/kendo.material.min.css" rel="stylesheet" />
    <link href="~/lib/kendo/library/kendo.material.mobile.min.css" rel="stylesheet" />

    <!-- custom css -->
    <link href="~/css/manager/custom-kendo.css" rel="stylesheet" />
    <link rel="stylesheet" type="text/css" href="https://uicdn.toast.com/tui.time-picker/latest/tui-time-picker.css">
    <link rel="stylesheet" type="text/css" href="https://uicdn.toast.com/tui.date-picker/latest/tui-date-picker.css">
    <link rel="stylesheet" type="text/css" href="~/lib/calendar/dist/tui-calendar.css">
    <link rel="stylesheet" type="text/css" href="~/lib/calendar/css/default.css">
    <link rel="stylesheet" type="text/css" href="~/lib/calendar/css/icons.css">

}
@section Scripts {
    <!-- Page javascript -->
    <script src="~/admin/js/nestable.js"></script>
    <script src="~/admin/js/ladda.min.js"></script>
    <!-- Assets js -->
    <script src="~/lib/assets/js/pages/ui/dialogs.js"></script>
    <script src="~/lib/vendor/summernote/dist/summernote.js"></script>

    <!-- Function js -->
    <script src="~/lib/vendor/sweetalert/sweetalert.min.js"></script>
    <script src="~/lib/ckeditor/ckeditor.js"></script>

    @*<script src="~/lib/kendo/library/kendo.all.min.js"></script>*@
    <script src="~/lib/kendo/library/kendo.all_2021.min.js"></script>
    <script src="~/lib/kendo/library/kendo.messages.vi-VN.js"></script>
    <script src="~/lib/kendo/library/kendo.culture.vi-VN.min.js"></script>
    <script src="~/js/manager/base.js"></script>
    <script src="~/js/manager/kendocontroller.js"></script>

    <script src="~/lib/calendar/js/tui-code-snippet.min.js"></script>
    <script src="~/lib/calendar/js/tui-time-picker.min.js"></script>
    <script src="~/lib/calendar/js/tui-date-picker.min.js"></script>
    <script src="~/lib/calendar/js/moment.min.js"></script>
    <script src="~/lib/calendar/js/chance.min.js"></script>
    <script src="~/lib/calendar/dist/tui-calendar.js"></script>
    <script src="~/lib/calendar/js/data/calendars.js"></script>
    @*<script src="~/lib/calendar/js/data/schedules.js"></script>*@
    <!-- <script src="./js/theme/dooray.js"></script> -->
    <script src="~/lib/calendar/js/app.js"></script>
}

